com.amazonaws.codegen.model.service

## Class ErrorTrait

- java.lang.Object
- - com.amazonaws.codegen.model.service.ErrorTrait

    public class ErrorTrait
    extends Object

Expresses content of the error trait

### Constructor Summary

Constructors
Constructor and Description
`ErrorTrait()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getErrorCode()`
`Integer` `getHttpStatusCode()`
`void` `setErrorCode(String errorCode)`
`void` `setHttpStatusCode(Integer httpStatusCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorTrait

    public ErrorTrait()

### Method Detail

#### getErrorCode

    public String getErrorCode()

#### setErrorCode

    public void setErrorCode(String errorCode)

#### getHttpStatusCode

    public Integer getHttpStatusCode()

#### setHttpStatusCode

    public void setHttpStatusCode(Integer httpStatusCode)